Subject: Re: Perl 5.003_90 Configure recursion using beta 17.1
From: [email-masked] (John Cerney)

28 Feb 1997 18:39:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

I had the same problem installing Perl 5.003_25.

I believe the problem was related to a bug in the cygnus tar. The Perl 
distribution has a Configure and a configure script in it (i.e. the names
differ only in the upper/lower case 'C'). When the Perl distribution is
un-tar'ed using cygnus tar, the Configure script is concatenated to the 
end of the configure script. When you run sh Configure, strange things happen.

I got around this by manually deleting the part of configure that was at the
begining of the un-tar'ed Configure script.

-John Cerney

> 
> I'm having difficulty getting perl to install:
> 
> I'm starting with a clean installation of GNU-WIN32 as per the FAQ
> 
> I'm then following the instructions given by K.M.Syring, as updated
> yesterday. (http://www.edv.agrar.tu-muenchen.de/~syring/gnu-win32/index.html)
> 
> I'm assuming that instruction 1. should refer to /srcdir, rather than
> srcdir (I have tried both).
> 
> When I get to instruction 3 - "sh Configure", the script appears to
> run recursively. On screen I get:
> 
> bash$ sh Configure
> sh Configure -ds -e
> sh Configure -ds -e -ds -e
> sh Configure -ds -e -ds -e -ds -e
> sh Configure -ds -e -ds -e -ds -e -ds -e
> ........
> 
> So I press Ctrl-C and if I'm lucky it quits.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".